# pulp_ansible-client
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v3
- Package version: 0.2.0b1.dev.1559224201
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import pulpcore.client.pulp_ansible 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import pulpcore.client.pulp_ansible
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import pulpcore.client.pulp_ansible
from pulpcore.client.pulp_ansible.rest import ApiException
from pprint import pprint

configuration = pulpcore.client.pulp_ansible.Configuration()
# Configure HTTP basic authorization: Basic
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = pulpcore.client.pulp_ansible.ContentApi(pulpcore.client.pulp_ansible.ApiClient(configuration))
data = pulpcore.client.pulp_ansible.Collection() # Collection | 

try:
    # Create a collection
    api_response = api_instance.content_ansible_collections_create(data)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ContentApi->content_ansible_collections_create: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:24817*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ContentApi* | [**content_ansible_collections_create**](docs/ContentApi.md#content_ansible_collections_create) | **POST** /pulp/api/v3/content/ansible/collections/ | Create a collection
*ContentApi* | [**content_ansible_collections_list**](docs/ContentApi.md#content_ansible_collections_list) | **GET** /pulp/api/v3/content/ansible/collections/ | List collections
*ContentApi* | [**content_ansible_roles_create**](docs/ContentApi.md#content_ansible_roles_create) | **POST** /pulp/api/v3/content/ansible/roles/ | Create a role
*ContentApi* | [**content_ansible_roles_list**](docs/ContentApi.md#content_ansible_roles_list) | **GET** /pulp/api/v3/content/ansible/roles/ | List roles
*ContentApi* | [**content_ansible_roles_read**](docs/ContentApi.md#content_ansible_roles_read) | **GET** {role_href} | Inspect a role
*DistributionsApi* | [**distributions_ansible_ansible_create**](docs/DistributionsApi.md#distributions_ansible_ansible_create) | **POST** /pulp/api/v3/distributions/ansible/ansible/ | Create an ansible distribution
*DistributionsApi* | [**distributions_ansible_ansible_delete**](docs/DistributionsApi.md#distributions_ansible_ansible_delete) | **DELETE** {ansible_distribution_href} | Delete an ansible distribution
*DistributionsApi* | [**distributions_ansible_ansible_list**](docs/DistributionsApi.md#distributions_ansible_ansible_list) | **GET** /pulp/api/v3/distributions/ansible/ansible/ | List ansible distributions
*DistributionsApi* | [**distributions_ansible_ansible_partial_update**](docs/DistributionsApi.md#distributions_ansible_ansible_partial_update) | **PATCH** {ansible_distribution_href} | Partially update an ansible distribution
*DistributionsApi* | [**distributions_ansible_ansible_read**](docs/DistributionsApi.md#distributions_ansible_ansible_read) | **GET** {ansible_distribution_href} | Inspect an ansible distribution
*DistributionsApi* | [**distributions_ansible_ansible_update**](docs/DistributionsApi.md#distributions_ansible_ansible_update) | **PUT** {ansible_distribution_href} | Update an ansible distribution
*PulpAnsibleApi* | [**pulp_ansible_galaxy_api_list**](docs/PulpAnsibleApi.md#pulp_ansible_galaxy_api_list) | **GET** /pulp_ansible/galaxy/{path}/api/ | 
*PulpAnsibleApi* | [**pulp_ansible_galaxy_api_v1_roles_list**](docs/PulpAnsibleApi.md#pulp_ansible_galaxy_api_v1_roles_list) | **GET** /pulp_ansible/galaxy/{path}/api/v1/roles/ | 
*PulpAnsibleApi* | [**pulp_ansible_galaxy_api_v1_roles_versions_list**](docs/PulpAnsibleApi.md#pulp_ansible_galaxy_api_v1_roles_versions_list) | **GET** /pulp_ansible/galaxy/{path}/api/v1/roles/{role_pk}/versions/ | 
*PulpAnsibleApi* | [**pulp_ansible_galaxy_api_v2_collections_create**](docs/PulpAnsibleApi.md#pulp_ansible_galaxy_api_v2_collections_create) | **POST** /pulp_ansible/galaxy/{path}/api/v2/collections/ | 
*PulpAnsibleApi* | [**pulp_ansible_galaxy_api_v2_collections_read**](docs/PulpAnsibleApi.md#pulp_ansible_galaxy_api_v2_collections_read) | **GET** {collection_href} | 
*PulpAnsibleApi* | [**pulp_ansible_galaxy_api_v2_collections_versions_list**](docs/PulpAnsibleApi.md#pulp_ansible_galaxy_api_v2_collections_versions_list) | **GET** {collection_href}versions/ | 
*RemotesApi* | [**remotes_ansible_ansible_create**](docs/RemotesApi.md#remotes_ansible_ansible_create) | **POST** /pulp/api/v3/remotes/ansible/ansible/ | Create an ansible remote
*RemotesApi* | [**remotes_ansible_ansible_delete**](docs/RemotesApi.md#remotes_ansible_ansible_delete) | **DELETE** {ansible_remote_href} | Delete an ansible remote
*RemotesApi* | [**remotes_ansible_ansible_list**](docs/RemotesApi.md#remotes_ansible_ansible_list) | **GET** /pulp/api/v3/remotes/ansible/ansible/ | List ansible remotes
*RemotesApi* | [**remotes_ansible_ansible_partial_update**](docs/RemotesApi.md#remotes_ansible_ansible_partial_update) | **PATCH** {ansible_remote_href} | Partially update an ansible remote
*RemotesApi* | [**remotes_ansible_ansible_read**](docs/RemotesApi.md#remotes_ansible_ansible_read) | **GET** {ansible_remote_href} | Inspect an ansible remote
*RemotesApi* | [**remotes_ansible_ansible_sync**](docs/RemotesApi.md#remotes_ansible_ansible_sync) | **POST** {ansible_remote_href}sync/ | 
*RemotesApi* | [**remotes_ansible_ansible_update**](docs/RemotesApi.md#remotes_ansible_ansible_update) | **PUT** {ansible_remote_href} | Update an ansible remote
*RemotesApi* | [**remotes_ansible_collection_create**](docs/RemotesApi.md#remotes_ansible_collection_create) | **POST** /pulp/api/v3/remotes/ansible/collection/ | Create a collection remote
*RemotesApi* | [**remotes_ansible_collection_delete**](docs/RemotesApi.md#remotes_ansible_collection_delete) | **DELETE** {collection_remote_href} | Delete a collection remote
*RemotesApi* | [**remotes_ansible_collection_list**](docs/RemotesApi.md#remotes_ansible_collection_list) | **GET** /pulp/api/v3/remotes/ansible/collection/ | List collection remotes
*RemotesApi* | [**remotes_ansible_collection_partial_update**](docs/RemotesApi.md#remotes_ansible_collection_partial_update) | **PATCH** {collection_remote_href} | Partially update a collection remote
*RemotesApi* | [**remotes_ansible_collection_read**](docs/RemotesApi.md#remotes_ansible_collection_read) | **GET** {collection_remote_href} | Inspect a collection remote
*RemotesApi* | [**remotes_ansible_collection_sync**](docs/RemotesApi.md#remotes_ansible_collection_sync) | **POST** {collection_remote_href}sync/ | 
*RemotesApi* | [**remotes_ansible_collection_update**](docs/RemotesApi.md#remotes_ansible_collection_update) | **PUT** {collection_remote_href} | Update a collection remote


## Documentation For Models

 - [AnsibleDistribution](docs/AnsibleDistribution.md)
 - [AnsibleRemote](docs/AnsibleRemote.md)
 - [AsyncOperationResponse](docs/AsyncOperationResponse.md)
 - [Collection](docs/Collection.md)
 - [CollectionRemote](docs/CollectionRemote.md)
 - [GalaxyCollection](docs/GalaxyCollection.md)
 - [GalaxyRole](docs/GalaxyRole.md)
 - [GalaxyRoleVersion](docs/GalaxyRoleVersion.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [InlineResponse2003](docs/InlineResponse2003.md)
 - [InlineResponse2004](docs/InlineResponse2004.md)
 - [InlineResponse2005](docs/InlineResponse2005.md)
 - [InlineResponse2006](docs/InlineResponse2006.md)
 - [InlineResponse2007](docs/InlineResponse2007.md)
 - [RepositorySyncURL](docs/RepositorySyncURL.md)
 - [Role](docs/Role.md)


## Documentation For Authorization


## Basic

- **Type**: HTTP basic authentication


## Author




